#include <stdio.h>
#include <tpro.h>
#include <ddtpro.h>


/*==========================================================================
  TPRO_getDate
==========================================================================*/

unsigned char TPRO_getDate (TPRO_BoardObj *hnd, TPRO_DateObj *Datep)
{
  unsigned long length;
  int err;

  DateObj Date;


  // make sure we have valid handle
  if (hnd == NULL) {
    return (TPRO_HANDLE_ERR);
  }

  /**
  ***  check for -m option
  **/

//  if ( (hnd->options == 0x9051) || (hnd->options == 0x9053) ||
//       (hnd->options == 0x9151) || (hnd->options == 0x9153) )
//    return (TPRO_INVALID_BOARD_TYPE_ERR);


  /**
  ***  create I/O control returns nonzero on success
  **/

  err = ioctl(hnd->file_descriptor, IOCTL_TPRO_GET_DATE, &Date);
  if (err < 0)	return (TPRO_COMM_ERR);


  /**
  ***  fill-in users context
  **/

  Datep->year  = Date.year;
  Datep->month = Date.month;
  Datep->day   = Date.day;


  return (TPRO_SUCCESS);
}
